Canned Responses
Add a New Canned Response
Add a new Canned Response to Account
POST
/
api
/
v1
/
accounts
/
{account_id}
/
canned_responses
Add a New Canned Response
curl --request POST \
--url https://app.clickdesk.openclick.ai/api/v1/accounts/{account_id}/canned_responses \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '
{
"content": "Hello, {{contact.name}}! Welcome to our service.",
"short_code": "welcome"
}
'import requests
url = "https://app.clickdesk.openclick.ai/api/v1/accounts/{account_id}/canned_responses"
payload = {
"content": "Hello, {{contact.name}}! Welcome to our service.",
"short_code": "welcome"
}
headers = {
"api_access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {api_access_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
content: 'Hello, {{contact.name}}! Welcome to our service.',
short_code: 'welcome'
})
};
fetch('https://app.clickdesk.openclick.ai/api/v1/accounts/{account_id}/canned_responses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"account_id": 123,
"short_code": "<string>",
"content": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Authorizations
This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.
Path Parameters
The numeric ID of the account
Body
application/json
Response
Success
ID of the canned response
Account Id
Short Code for quick access of the canned response
Message content for canned response
The date and time when the canned response was created
The date and time when the canned response was updated
⌘I
Add a New Canned Response

